/*
 * Copyright (c) 2009 Mysema Ltd.
 * All rights reserved.
 * 
 */
package com.mysema.commons.web;

import javax.servlet.http.HttpServletRequest;

import com.mysema.commons.lang.URLEncoder;

/**
 * URLBuilder provides
 *
 * @author tiwe
 * @version $Id$
 */
public class URLBuilder {
    
    // TODO : parameters
    
    private StringBuilder builder = new StringBuilder();;
    
    /**
     * Create URLBuilder for the context path
     * 
     * @param req
     */
    public URLBuilder(HttpServletRequest req){
    	builder.append(req.getContextPath());        
    }
    
    /**
     * Create URBuilder with the given raw path
     * 
     * @param str
     */
    public URLBuilder(String str){
    	builder.append(str);    	
    }    
    
    /**
     * adds path element without encoding it
     * 
     * @param str
     * @return
     */
    public URLBuilder add(String... strings){    	
    	for (String str : strings){
    		if (builder.charAt(builder.length()-1) != '/'){
        		builder.append('/');	
        	}
    		builder.append(URLEncoder.encodeURL(str));	
    	}    	
        return this;
    }
        
    public String toString(){
        return builder.toString();
    }



}
